Subject: [Simple] SUBSCRIBE

From: Sudipta Ghosh <[email-masked]>
Date: Tue, 10 Dec 2002 14:13:53 +0530

Hi,
I have a query.
Suppose UAC AA is sending a SUBSCRIBE request for some event to another
UAC BB via proxy server.
At that BB was not online( I mean no yet registered ) so proxy server
sent the 20o OK resonse to AA.

After some time, when BB registered, I have noticed that proxy server is
sending the SUBSCRIBE request, that AA has sent before.
No everythinh is OK. AA gets event notification from BB.

Now BB goes offline and close the dialog with AA for event for some time
and then again registered.
My query is how AA will again subscribe for event notification since AA
does not have no info if BB is registerd or not..
Or proxy server will send SUBSCRIBE request?

Where I will get documentation about this.

sudipta

--
***********************************************
System Executive
Scicom Infotech Pvt. Ltd. (Scicom)
A - 67, Sector - 57
Noida - 201 301
UP
**********************************************

_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 10 Dec 2002 17:39:43 -0500

What you are talking about here is subscription migration. It is 
described in some detail in RFC 3265, section 3.3.5. Generally, the UA 
lets the subscriber know that it has gone away by generating a NOTIFY 
with a Subscription-State header with a reason clause of deactivated.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com